# -*- perl -*-
use strict;
use warnings;
use ExtUtils::MakeMaker;
use Module::Metadata;
use File::Basename;

WriteMakefile(
    NAME  => 'makeredirect',
    ABSTRACT_FROM => 'makeredirect',
    VERSION_FROM => 'lib/MakeRedirect.pm',
    AUTHOR    =>      'Sergey Poznyakoff <gray@gnu.org>',
    LICENSE   =>      'gpl_3',
    EXE_FILES =>      [ 'makeredirect' ],
    MIN_PERL_VERSION  => 5.014002,
    PREREQ_PM => {
    	'Getopt::Long' => 0,
        'File::Basename' => 0,
        'File::Spec' => 0,  
        'Getopt::Long' => 0,
        'Pod::Find' => 0,
        'Pod::Man' => 0,
    	'Pod::Usage' => 0,
    	'Text::CSV' => 2.00,
    	'Text::Locus' => '1.03',
	'URI::Encode' => '1.1.1',
	'Clone' => 0    
    },
    BUILD_REQUIRES => {'Test::More' => '0.88'},
    META_MERGE        => {
    	'meta-spec' => { version => 2 },
    	resources => {
    	    repository => {
    		type => 'git',
    		url => 'git://git.gnu.org.ua/makeredirect.git',
                web => 'http://git.gnu.org.ua/cgit/makeredirect.git/',
    	    },
    	},
        provides => Module::Metadata->provides(version => '1.4',
    					       dir => 'lib')
    }
);

